Returns buy and sell prices per currency pair, with full currency metadata.
GET
/api/v2/prices
Pairs with no available price are omitted. The buy or sell field is omitted when that direction is disabled or unavailable. There is an optional fee you may include by appending the Query parameter ?fee=3 to your request, where 3 will be the fee percentage (3%) added to the returned prices.
Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” fee
number
Example
1.5Responses
Section titled “ Responses ”Returns buy and sell prices per currency pair with currency metadata.
object
Example
{ "BTC-EUR": { "sourceCurrency": { "code": "BTC", "ticker": "BTC", "chain": null, "name": "Bitcoin", "decimals": 8, "supportsTag": false, "smartContractAddress": null, "caip19": "bip122:000000000019d6689c085ae165831e93/slip44:0" }, "targetCurrency": { "code": "EUR", "name": "Euro", "decimals": 2, "caip19": "swift:0/iso4217:EUR" }, "buy": 54355.9, "sell": 52722.66 }}A list of possible errors for this endpoint.
object
code
required
string
message
required
string
solution
required
string
Example
{ "errors": { "ER050": { "code": "ER050", "message": "Invalid fee provided.", "solution": "Provide a number between 0 and 5.0 inclusive." }, "ER800": { "code": "ER800", "message": "Authorization token is invalid.", "solution": "Provide a valid authorization token." }, "ER801": { "code": "ER801", "message": "Authorization token has expired.", "solution": "Request a new authorization token." }, "ER802": { "code": "ER802", "message": "Authorization token not found.", "solution": "Provide an authorization token." }, "ER803": { "code": "ER803", "message": "Multiple authorization methods used.", "solution": "Use exactly one authorization method." }, "ER805": { "code": "ER805", "message": "API key is invalid.", "solution": "Provide a valid API key." }, "ER806": { "code": "ER806", "message": "API key not found.", "solution": "Provide an API key." }, "ER999": { "code": "ER999", "message": "A general error has occurred. Please contact our support team.", "solution": "Contact our support team." } }}